
Redmine - Feature #5594

Improve MailHandler's keyword handling

2010-05-25 18:43 - Eric Davis

Status: Closed Start date: 2010-05-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed   

Description

I have a few changes to make to MailHandler so it's more flexible in how it handles keywords (e.g. Project.find_by_identifier ||

Project.find_by_name || Project.find_by_id).

Related issues:

Related to Redmine - Feature #5595: Allow start date and due dates to be set ... Closed 2010-05-25

Related to Redmine - Feature #3706: Allow assigned_to field configuration on ... Closed 2009-08-03

Related to Redmine - Feature #6112: Accept localized keywords when receiving ... Closed 2010-08-11

Related to Redmine - Feature #5622: Allow version to be set via incoming email Closed 2010-05-30

Related to Redmine - Patch #4807: Allow to set the done_ratio field with the ... Closed 2010-02-11

Related to Redmine - Patch #2702: mail_handler_update: added ability to updat... Closed 2009-02-09

Related to Redmine - Feature #2507: Email creation issues: assign-to parameter Closed 2009-01-14

Associated revisions

Revision 3764 - 2010-05-29 02:05 - Eric Davis

Add an "Assigned To" keyword to receiving email. #5594

Will take a user's email address, login, or full name.

History

#1 - 2010-05-29 17:21 - Enderson Maia

It's related to this #3706 issue.

On http://www.redmine.org/issues/3706#note-6 I made a note about using the TO: for assignment and CC: for watchlist (that already works).

#2 - 2010-06-08 15:17 - Petr Pospisil

Please, rewrite MailHandler. Imagine other languages than english. We don't have fields like "Tracker", "Status" etc. and you can not force people to

use English in emails. And the upper level is ...custom fields :-). Thanks in advance. Petr

#3 - 2010-06-15 00:40 - Eric Davis

- Target version changed from 1.0.0 (RC) to 1.1.0

#4 - 2010-07-06 15:32 - wei hua

- % Done changed from 0 to 50

wee> * * h3. h1. --++

#5 - 2010-07-06 15:54 - Felix Schäfer

- % Done changed from 50 to 0

#6 - 2010-09-26 20:25 - Ве Fio

It would be really great if it were possible for the mailhandler to change fields related to issues, even custom ones (no matter what type they are). It

would be a really nice feature, and an awesome addon to the already good system. And I don't know about what you plan on improving, but perhaps

also improve how it handles current keywords, e.g. better keyword handling when you use "<Keyword>: " in an email.. Can't wait!! :D :)

#7 - 2010-10-25 16:59 - Eric Davis
- Assignee deleted (Eric Davis)

#8 - 2010-11-12 13:40 - Jean-Philippe Lang

Petr Pospisil wrote:

Please, rewrite MailHandler. Imagine other languages than english. We don't have fields like "Tracker", "Status" etc. and you can not force

people to use English in emails. And the upper level is ...custom fields :-). Thanks in advance. Petr

 See #6112.

#9 - 2010-11-12 14:09 - Petr Pospisil

Many thanks for response and your well done work. I will check it ASAP :o). And what about custom fields? Are done too?

#10 - 2010-11-12 14:15 - Jean-Philippe Lang

Petr Pospisil wrote:

And what about custom fields? Are done too?

 Yes, see r4394.

#11 - 2010-11-12 14:31 - Petr Pospisil

Super. Thank you.

#12 - 2010-12-12 17:02 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Fixed

I think we can close it, open new tickets for new improvements.

#13 - 2016-12-26 04:41 - Go MAEDA

- Related to Patch #2702: mail_handler_update: added ability to update some fields / Import custom fields values for issue updates added

#14 - 2016-12-26 04:43 - Go MAEDA

- Related to Feature #2507: Email creation issues: assign-to parameter added
